Package org.eclipse.emf.compare.ide.utils

# Interface IStoragePathProvider2

All Superinterfaces:
  `IStoragePathProvider`

public interface IStoragePathProvider2 extends IStoragePathProvider
.

Implementors can provide an adapter from a given IStorage implementation to a sub-class of this interface to provide EMF Compare with a mean to compute the absolute path.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IPath`
`computeAbsolutePath(org.eclipse.core.resources.IStorage storage)`
Allows EMF compare to query for the absolute path of the given IStorage.

### Methods inherited from interface org.eclipse.emf.compare.ide.utils.IStoragePathProvider

`computeFixedPath`

## Method Details

### computeAbsolutePath

org.eclipse.core.runtime.IPath computeAbsolutePath(org.eclipse.core.resources.IStorage storage)
Allows EMF compare to query for the absolute path of the given IStorage.

The returned path must be absolute and may not be `null`. The resource pointed to by this path is not required to exist locally.

Parameters:
  `storage` - storage The storage for which we seek an absolute path.
Returns:
  The absolute path for this IStorage. Can return null if absolute path cannot be computed.
Since:
  3.3